## com.ibm.lab.soln.dialogs
Class DialogsPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--com.ibm.lab.soln.dialogs.DialogsPlugin

public class DialogsPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The plugin class for the Dialogs Plugin. Extends the Eclipse plug-in support provided by `AbstractUIPlugin`. Instantiated by the platform when the plug-in is started.

Inner Class Summary
`static class` | `DialogsPlugin.PreferenceListener` Logic to manage the addition and removal of a change listener for preference settings.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`DialogsPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` The constructor.

Method Summary
`static DialogsPlugin` | `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static org.eclipse.core.resources.IWorkspace` | `getWorkspace()` Returns the workspace instance.
`protected void` | `initializeDefaultPreferences(org.eclipse.jface.preference.IPreferenceStore store)` Sets the default preference values for the plugin.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, initializeDefaultPluginPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialogsPlugin

    public DialogsPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  The constructor.

Method Detail

### getDefault

    public static DialogsPlugin getDefault()

  Returns the shared instance.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance.

### initializeDefaultPreferences

    protected void initializeDefaultPreferences(org.eclipse.jface.preference.IPreferenceStore store)

  Sets the default preference values for the plugin. When this method is used the IPreferenceStore object is provided as a parameter. This method is triggered when the preferences for the plugin are first requested. This is the only place default settings are defined. The alternative method, `initializeDefaultPluginPreferences()` can be used, but you would then need to get the Preferences object for the Plugin. You need to use one or the other, but not both.
  Overrides:
    `initializeDefaultPreferences` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  See Also:
    `AbstractUIPlugin.initializeDefaultPreferences(org.eclipse.jface.preference.IPreferenceStore)`